\section{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h File Reference}
\label{discover-xml_8h}\index{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h@{/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h}}
Public interface to Discover's XML handling. 

{\tt \#include $<$discover/discover.h$>$}\par
\subsection*{Functions}
\begin{CompactItemize}
\item 
{\bf discover\_\-device\_\-t} $\ast$ {\bf discover\_\-xml\_\-find\_\-device} ({\bf discover\_\-device\_\-t} $\ast$xml\_\-devices, char $\ast$target\_\-vendor, char $\ast$target\_\-model, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-device\_\-t} $\ast$ {\bf discover\_\-xml\_\-find\_\-next\_\-device} ({\bf discover\_\-device\_\-t} $\ast$xml\_\-devices, char $\ast$target\_\-vendor, char $\ast$target\_\-model, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-device\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-matching\_\-devices} ({\bf discover\_\-device\_\-t} $\ast$xml\_\-devices, char $\ast$target\_\-vendor, char $\ast$target\_\-model, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
int {\bf discover\_\-xml\_\-version\_\-cmp} (char $\ast$range, char $\ast$version, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-new} (void)
\item 
void {\bf discover\_\-xml\_\-url\_\-copy} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$src, {\bf discover\_\-xml\_\-url\_\-t} $\ast$dst)
\item 
void {\bf discover\_\-xml\_\-url\_\-free} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$urls)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-url} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-bus} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-type} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-next} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-last} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-label} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-urls} ({\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-urls} (void)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-data\_\-urls} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-filetype\_\-t} filetype, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-data\_\-urls} (void)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-busclass\_\-new} (void)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-busclasses} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-busclasses} (void)
\item 
void {\bf discover\_\-xml\_\-merge\_\-busclass\_\-url} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$$\ast$blist, char $\ast$filename, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-to\_\-class} (char $\ast$busclass, {\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\item 
int {\bf discover\_\-xml\_\-busclass\_\-cmp} (char $\ast$busclass, char $\ast$discover\_\-class, {\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-id} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
char $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-name} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
{\bf discover\_\-xml\_\-busclass\_\-t} $\ast$ {\bf discover\_\-xml\_\-busclass\_\-get\_\-next} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclass)
\item 
void {\bf discover\_\-xml\_\-busclass\_\-free} ({\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses)
\item 
{\bf discover\_\-device\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-devices} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-devices} (void)
\item 
void {\bf discover\_\-xml\_\-merge\_\-device\_\-url} ({\bf discover\_\-device\_\-t} $\ast$$\ast$dlist, char $\ast$url, {\bf discover\_\-xml\_\-busclass\_\-t} $\ast$busclasses, {\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendors, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-xml\_\-vendor\_\-t} $\ast$ {\bf discover\_\-xml\_\-vendor\_\-new} (void)
\item 
void {\bf discover\_\-xml\_\-merge\_\-vendor\_\-url} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$$\ast$vlist, char $\ast$filename, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
{\bf discover\_\-xml\_\-vendor\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-vendors} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-vendors} (void)
\item 
char $\ast$ {\bf discover\_\-xml\_\-vendor\_\-id2name} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendors, char $\ast$id)
\item 
char $\ast$ {\bf discover\_\-xml\_\-vendor\_\-get\_\-id} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendor)
\item 
char $\ast$ {\bf discover\_\-xml\_\-vendor\_\-get\_\-name} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendor)
\item 
{\bf discover\_\-xml\_\-vendor\_\-t} $\ast$ {\bf discover\_\-xml\_\-vendor\_\-get\_\-next} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendor)
\item 
void {\bf discover\_\-xml\_\-vendor\_\-free} ({\bf discover\_\-xml\_\-vendor\_\-t} $\ast$vendors)
\end{CompactItemize}


\subsection{Detailed Description}
Public interface to Discover's XML handling. 

Public interface that exposes Discover's XML routines. These functions are used to read the XML data loaded from the specified configuration file(s). 

Definition in file {\bf discover-xml.h}.